Moodle Upgrade

We can upgrade your Moodle installation to the latest version along with upgrading outdated plugins. When we do upgrades, we insure that all of your plugins and everything else will work properly on the upgraded website by setting up a test of the upgrade in a directory on your website first, so that you can test out the new version before having the upgrade applied to the production website.

In most instances if you are having a problem with the website, upgrading Moodle won't resolve that, but we can usually resolve that issue while working on the upgrade

Applying the upgrade to the production website takes only a matter of minutes, but we can schedule to apply it during off hours to avoid even limited downtime from impacting important visits to your website when that is happening. While the testing of the upgrade first should negate the need for a backup when upgrading the production website, we make another backup before upgrading the production website.

The whole upgrade process can usually be completed within a few days of you getting in touch with us.

If you are upgrading from 1.9.x or below you will need to find a replacement theme as older themes are not compatible with the newer versions of Moodle.

We also offer a subscription service for doing Moodle upgrades on an ongoing basis.

Hosting Requirements for 3.5.x:

    (We can check with your hosting provider to make sure that these requirements are met.)
  • PHP version 7.0.0 or greater
  • MySQL version 5.5.31 or greater, MariaDB 5.5.31 or greater, PostgreSQL version 9.3 or greater, MSSQL version 2008 or greater, or Oracle version 10.2 or greater
  • Minimum 512MB memory limit

Price:

  • $400 USD to upgrade a website running 3.1.x, 3.2.x, 3.3.x, or 3.4.x to 3.5.1.
  • $500 USD to upgrade a website running 2.7.x, 2.8.x 2.9.x, or 3.0.x to 3.5.1.
  • $600 USD to upgrade a website running 2.2.x, 2.3.x, 2.4.x, 2.5.x, or 2.6.x to 3.5.1.
  • $700 USD to upgrade a website running 2.0.x or 2.1.x to 3.5.1.
  • $900 USD to upgrade a website running 1.9.x to 3.5.1.

Payment is due after the upgrade has been completed. We accept payment by credit card, debit card, or eCheck through PayPal in a number of currencies.